#include<iostream>
#include <iomanip>
#include <vector>

using namespace std;

main(){
	int n;
	double max=0,suma=0,ai,pi;
	vector <double> a,p;
	cin>>n;
	for(int i=0;i<n;i++)
		{
			cin>>ai>>pi;
			a.push_back(ai);
			p.push_back(pi);
		}
	for(int i=0;i<n;i++)
		{
			for(int j=0;j<n;j++)
					if(p[i] <= p[j]) suma+=a[j]*(p[i]/100);
			if(suma>max) max=suma;
			suma=0;
		}
	cout<<setprecision(10)<<max;
}